# sigaction_args Struct Reference

`#include <sysproto.h>`

## Data Fields

sigaction * | act
char | act_l_ [0]
char | act_r_ [(sizeof(register_t)<=sizeof(const struct sigaction *)?0:sizeof(register_t)-sizeof(const struct sigaction *))]
sigaction * | oact
char | oact_l_ [0]
char | oact_r_ [(sizeof(register_t)<=sizeof(struct sigaction *)?0:sizeof(register_t)-sizeof(struct sigaction *))]
int | sig
char | sig_l_ [0]
char | sig_r_ [(sizeof(register_t)<=sizeof(int)?0:sizeof(register_t)-sizeof(int))]

## Detailed Description

Definition at line 126 of file sysproto.h.

## Field Documentation

struct sigaction* sigaction_args::act

Definition at line 128 of file sysproto.h.

char sigaction_args::act_l_[0]

Definition at line 128 of file sysproto.h.

char sigaction_args::act_r_[(sizeof(register_t)<=sizeof(const struct sigaction *)?0:sizeof(register_t)-sizeof(const struct sigaction *))]

Definition at line 128 of file sysproto.h.

struct sigaction* sigaction_args::oact

Definition at line 129 of file sysproto.h.

char sigaction_args::oact_l_[0]

Definition at line 129 of file sysproto.h.

char sigaction_args::oact_r_[(sizeof(register_t)<=sizeof(struct sigaction *)?0:sizeof(register_t)-sizeof(struct sigaction *))]

Definition at line 129 of file sysproto.h.

int sigaction_args::sig

Definition at line 127 of file sysproto.h.

char sigaction_args::sig_l_[0]

Definition at line 127 of file sysproto.h.

char sigaction_args::sig_r_[(sizeof(register_t)<=sizeof(int)?0:sizeof(register_t)-sizeof(int))]

Definition at line 127 of file sysproto.h.

The documentation for this struct was generated from the following file:

- src/sys/include/sys/sysproto.h